package digital.laboratory.platform.reagent.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import digital.laboratory.platform.common.mybatis.base.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

@Data
@TableName(value = "warehousing_content", autoResultMap = true)
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "入库内容")
public class WarehousingContent extends BaseEntity {

    /**
     * (试剂耗材ID)
     */
    @ApiModelProperty(value = "(试剂耗材ID)")
    private String reagentConsumableId;

    /**
     * (签收状态 0 未完成 1 已完成)
     */
    @ApiModelProperty(value = "(状态)")
    private Integer status;
    /**
     * (试剂耗材ID)
     */
    @ApiModelProperty(value = "(试剂耗材名称)")
    private String reagentConsumableName;

    /**
     * (总数量)
     */
    @ApiModelProperty(value = "(总数量)")
    private int totalQuantity;

    @ApiModelProperty(value = "物品编码")
    private String code;
    /**
     * (签收记录表ID)
     */
    @ApiModelProperty(value = "(入库记录表ID)")
    private String warehousingRecordFormId;

    /**
     * (签收数量)
     */
    @ApiModelProperty(value = "(入库数量)")
    private int warehousingQuantity;

    /**
     * (目录编号)
     */
    @ApiModelProperty(value = "(目录编号)")
    private String catalogueNumber;
    /**
     * (验收记录ID)
     */
    @ApiModelProperty(value = "(验收记录ID)")
    private String acceptanceRecordFormId;

    /**
     * (供应商ID)
     */
    @ApiModelProperty(value = "(供应商ID)")
    private String supplierId;
    /**
     * signedContentId
     */
    @TableId(value = "id", type = IdType.ASSIGN_UUID)
    @ApiModelProperty(value = "id")
    private String id;

    @ApiModelProperty(value = "供应商评价表ID")
    private String evaluationFormId;

    @ApiModelProperty(value = "采购清单明细ID")
    private String purchaseListDetailsId;

    @ApiModelProperty(value = "预警值")
    private Integer warningValue;

    @ApiModelProperty(value = "上次存放位置")
    private String lastStorageLocation;

    @ApiModelProperty(value="格子ID")
    private String latticeId;

    @ApiModelProperty(value="柜子ID")
    private String boxId;

}

