package digital.laboratory.platform.reagent.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import digital.laboratory.platform.reagent.entity.PeriodVerificationImplementation;
import digital.laboratory.platform.reagent.vo.PeriodVerificationImplementationVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * (标准物质期间核查实施情况及结果记录表) Mapper 接口
 *
 * @author Zhang Xiaolong created at  2023-03-10
 * @describe (标准物质期间核查实施情况及结果记录表) Mapper 类
 */
@Mapper
public interface PeriodVerificationImplementationMapper extends BaseMapper<PeriodVerificationImplementation> {

    IPage<PeriodVerificationImplementationVO> getPeriodVerificationImplementationVOPage( IPage<PeriodVerificationImplementation> page, @Param(Constants.WRAPPER)QueryWrapper<PeriodVerificationImplementation>qw);

    PeriodVerificationImplementationVO getPeriodVerificationImplementationVO(String periodVerificationImplementationId);

}
