package digital.laboratory.platform.reagent.service.impl;

import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import digital.laboratory.platform.reagent.entity.ReferenceMaterial;
import digital.laboratory.platform.reagent.entity.WarehousingBatchList;
import digital.laboratory.platform.reagent.mapper.WarehousingBatchListMapper;
import digital.laboratory.platform.reagent.service.ReagentConsumablesService;
import digital.laboratory.platform.reagent.service.ReferenceMaterialService;
import digital.laboratory.platform.reagent.service.WarehousingBatchListService;
import digital.laboratory.platform.reagent.service.WarehousingContentService;
import digital.laboratory.platform.reagent.vo.RVO;
import digital.laboratory.platform.reagent.vo.WarehousingBatchListVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.sql.Wrapper;
import java.util.ArrayList;
import java.util.List;

/**
 * 签收批次明细服务实现类
 *
 * @author Zhang Xiaolong created at  2023-03-10
 * @describe 签收批次明细 服务实现类
 */
@Service
public class WarehousingBatchListServiceImpl extends ServiceImpl<WarehousingBatchListMapper, WarehousingBatchList> implements WarehousingBatchListService {

    @Autowired

    private WarehousingContentService warehousingContentService;

    @Autowired
    private ReferenceMaterialService referenceMaterialService;

    @Autowired
    private ReagentConsumablesService reagentConsumablesService;


    @Override
    public List<WarehousingBatchListVO> getWarehousingBatchListVOList(String warehousingContentId) {

        List<WarehousingBatchListVO> warehousingBatchListVOList = baseMapper.getWarehousingBatchListVOList(warehousingContentId);

        ArrayList<RVO> rvos = new ArrayList<>();

        for (WarehousingBatchListVO warehousingBatchListVO : warehousingBatchListVOList) {

            if (warehousingBatchListVO.getBatchId() != null) {

                List<ReferenceMaterial> batch_details_id = referenceMaterialService.list(Wrappers.<ReferenceMaterial>query().eq("batch_details_id", warehousingBatchListVO.getBatchId())
                );

                for (ReferenceMaterial referenceMaterial : batch_details_id) {

                    if (reagentConsumablesService.getById(referenceMaterial.getReagentConsumableId()).getCategory().equals("标准物质")) {

                        RVO rvo = new RVO();
                        rvo.setId(referenceMaterial.getId());
                        rvo.setNumber(referenceMaterial.getNumber());
                        rvos.add(rvo);
                    }
                }
            }
            warehousingBatchListVO.setIdList(rvos);
        }
        return warehousingBatchListVOList;
    }
}
