package digital.laboratory.platform.reagent.vo;

import digital.laboratory.platform.reagent.entity.ReagentConsumableInventory;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.time.LocalDateTime;

@Data

@AllArgsConstructor
@NoArgsConstructor
@ApiModel(value = "库存信息完整VO")
public class ReagentConsumableInventoryFullVO extends ReagentConsumableInventory {

    @ApiModelProperty(value = "购置时间")
    private LocalDateTime purchaseTime;


    @ApiModelProperty(value = "制造商ID")
    private String manufacturerId;

    @ApiModelProperty(value = "批号")
    private String batchNumber;

    @ApiModelProperty(value = "标准物质编号")
    private String number;

    @ApiModelProperty(value = "批次ID")
    private String batchDetailsId;

    @ApiModelProperty(value = "供应商名称")
    private String supplierName;

    @ApiModelProperty(value = "批次")
    private String batch;

    @ApiModelProperty(value = "标准物质ID")
    private String referenceMaterialId;

    @ApiModelProperty(value = "标准物质状态")
    private Integer referenceMaterialStatus;

    @ApiModelProperty(value="(定值结果)")
    private String fixedResult;

    @ApiModelProperty(value="(配置浓度(mg/mL))")
    private double  configurationConcentration;

    @ApiModelProperty(value="(配置日期)")
    private LocalDateTime configurationDate;

    @ApiModelProperty(value="(溶液编号)")
    private String solutionNumbering;

    @ApiModelProperty(value="(有效期限)")
    private Integer validityPeriod;

    @ApiModelProperty(value="(打印序号)")
    private Integer i;




}
